## net.sf.saxon.sort
Class TupleSorter.TupleUnwrapper

    java.lang.Object
      net.sf.saxon.sort.TupleSorter.TupleUnwrapper

All Implemented Interfaces:
  MappingFunction

Enclosing class:
  TupleSorter

    public static class TupleSorter.TupleUnwrapper

extends java.lang.Object
implements MappingFunction

Mapping function to map the wrapped objects returned by the SortedTupleIterator into real items. This is done because each tuple may actually represent a sequence of underlying values that share the same sort key.

Method Summary
`static TupleSorter.TupleUnwrapper` `getInstance()` Get the singular instance of this class
`SequenceIterator` `map(Item item)` Map one item to a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TupleSorter.TupleUnwrapper getInstance()

  Get the singular instance of this class

  Returns:
    the singular instance

### map

    public SequenceIterator map(Item item)
                         throws XPathException

  Description copied from interface: `MappingFunction`
  Map one item to a sequence.

  Specified by:
    `map` in interface `MappingFunction`
  Parameters:
    `item` - The item to be mapped.
  Returns:
    one of the following: (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) null if it maps to an empty sequence.
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.